Get List of users
curl --request GET \
--url https://api.openxswitch.com/v2/users/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/users/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/users/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "63e1b8c2f18e310bb11f8a9c",
"refId": "client_001",
"email": "sam.vwede@example.com",
"displayName": "Sam.Vwede",
"isActive": "true",
"createdAt": "2025-01-17T10:00:00Z",
"updatedAt": "2025-01-17T12:00:00Z",
"workspaceId": "63e1b8c2f18e310bb11f8a9c"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Users
Get List of users
Retrieve a paginated list of user, optionally filtered by userId, username, refId, or email.
GET
/
v2
/
users
/
list
Get List of users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
User Id
User Ref Id
Display Name of the user
Email address of the user
The page number for pagination
The number of items per page for pagination
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)